How do I receive ambassador games?

Discussion in '3DS - Flashcards & Custom Firmwares' started by ac3ds, Feb 20, 2016.

  1. ac3ds
    OP

    ac3ds PlayStation Addict

    Member
    167
    40
    Sep 2, 2015
    United States
    A box
    Hi everyone I have a o3ds on 9.2 with emunand 10.5 . I recently checked nintendo's website and it said I was eligible for ambassador games. I followed their guide and I still have no games.

    Does anyone else have this problem?
    Thanks In Advance!:yay3ds:
     
  2. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,050
    3,367
    Nov 13, 2014
    United States
    Link so others can check?
     
  3. ac3ds
    OP

    ac3ds PlayStation Addict

    Member
    167
    40
    Sep 2, 2015
    United States
    A box
    This is what I used.
     
  4. Harsky

    Harsky Madmin

    Member
    5,325
    442
    Aug 2, 2004
    One of the things you have to remember is that even if the serial number says it's eligable, the owner HAS to go to the eshop before the deadline date. It yours is second hand, it could mean:

    1: The 3ds was sitting around, unsold until someone bought it after the deadline
    2: It was already claimed but the owner tied it to their NNID
     
  5. ac3ds
    OP

    ac3ds PlayStation Addict

    Member
    167
    40
    Sep 2, 2015
    United States
    A box
    Oh I did buy it after the deadline :(
     
  6. Harsky

    Harsky Madmin

    Member
    5,325
    442
    Aug 2, 2004
    Tough break kid.
     
    Zidapi likes this.
  7. Sumea

    Sumea Disco Ninja Frog

    Member
    1,465
    266
    Aug 16, 2008
    Finland
    Turku
    Well, it is not like you have 9.2+10.5 emunand setup, and it is not like... There might be an upload for the ambadassor games... or even the certificate around... No. I am quite sure those do not exist so yeah, you are unlucky this time here.
     
  8. ac3ds
    OP

    ac3ds PlayStation Addict

    Member
    167
    40
    Sep 2, 2015
    United States
    A box
    Yeah, i'm pretty sure it is not installing right now :P